Resent-Date: Sat, 28 Nov 1998 09:50:32 +0100 (MET)
Date: Sat, 28 Nov 1998 08:50:25 GMT
From: Jesper Skov <jskov@cygnus.co.uk>
To: linux-m68k@lists.linux-m68k.org
Subject: Old diffs
Resent-From: linux-m68k@phil.uni-sb.de


A bunch of diffs, most of which I have sent multiple times
before...

Jesper

diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.1.130/drivers/block/gayle.c ./drivers/block/gayle.c
--- /home/jskov/kernel/dist/linux-2.1.130/drivers/block/gayle.c	Thu Jun  4 19:25:15 1998
+++ ./drivers/block/gayle.c	Sat Nov 21 17:57:52 1998
@@ -19,6 +19,7 @@
 
 #include <asm/amigahw.h>
 #include <asm/amigaints.h>
+#include <asm/setup.h>
 
 
     /*
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.1.130/drivers/block/ide.c ./drivers/block/ide.c
--- /home/jskov/kernel/dist/linux-2.1.130/drivers/block/ide.c	Wed Nov 25 17:40:00 1998
+++ ./drivers/block/ide.c	Thu Nov 12 17:37:51 1998
@@ -2385,6 +2385,8 @@
 
 #ifdef CONFIG_BLK_DEV_IDEDOUBLER
 	if (!strcmp(s, "ide=doubler")) {
+		extern int ide_doubler;
+
 		printk("ide: Enabled support for IDE doublers\n");
 		ide_doubler = 1;
 		return;
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.1.130/drivers/char/Makefile ./drivers/char/Makefile
--- /home/jskov/kernel/dist/linux-2.1.130/drivers/char/Makefile	Sun Nov  8 19:24:09 1998
+++ ./drivers/char/Makefile	Sun Nov 22 15:14:14 1998
@@ -138,7 +138,15 @@
 S = y
 endif
 
+ifeq ($(CONFIG_APUS),y)
+A = y
+endif
+
 ifeq ($(ARCH),m68k)
+A = y
+endif
+
+ifeq ($(A),y)
 
 ifdef CONFIG_USERIAL
 S = y
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.1.130/drivers/char/ioext.h ./drivers/char/ioext.h
--- /home/jskov/kernel/dist/linux-2.1.130/drivers/char/ioext.h	Thu Aug  6 19:14:32 1998
+++ ./drivers/char/ioext.h	Fri Nov 27 20:44:12 1998
@@ -9,6 +9,7 @@
 #include <linux/config.h>
 #include <linux/lp_m68k.h>
 #include <linux/netdevice.h>
+#include <linux/16c552.h>
 
 #if 0
 #include "ser_ioext.h"
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.1.130/drivers/char/m68kserial.c ./drivers/char/m68kserial.c
--- /home/jskov/kernel/dist/linux-2.1.130/drivers/char/m68kserial.c	Wed Nov 25 17:14:16 1998
+++ ./drivers/char/m68kserial.c	Fri Nov 27 20:42:54 1998
@@ -982,7 +982,6 @@
 		timeout = jiffies+HZ;
 		while (!(info->sw->trans_empty(info))) {
 			current->state = TASK_INTERRUPTIBLE;
-			current->timeout = jiffies + info->timeout;
 			schedule_timeout(info->timeout);
 			if (signal_pending(current))
 				break;
@@ -1002,7 +1001,6 @@
 	if (info->blocked_open) {
 		if (info->close_delay) {
 			current->state = TASK_INTERRUPTIBLE;
-			current->timeout = jiffies + info->close_delay;
 			schedule_timeout(info->close_delay);
 		}
 		wake_up_interruptible(&info->open_wait);
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.1.130/drivers/char/tty_io.c ./drivers/char/tty_io.c
--- /home/jskov/kernel/dist/linux-2.1.130/drivers/char/tty_io.c	Fri Nov 27 13:50:30 1998
+++ ./drivers/char/tty_io.c	Fri Nov 27 19:16:14 1998
@@ -2134,7 +2134,7 @@
     defined(CONFIG_AMIGA_BUILTIN_SERIAL) || defined(CONFIG_GVIOEXT) || \
     defined(CONFIG_MULTIFACE_III_TTY) || defined(CONFIG_USERIAL) || \
     defined(CONFIG_MVME162_SCC) || defined(CONFIG_BVME6000_SCC) || \
-    defined(CONFIG_MAC_SCC) || defined(CONFIG_HPDCA)
+    defined(CONFIG_MAC_SCC) || defined(CONFIG_HPDCA) || defined(CONFIG_WHIPPET)
 	rs_init();
 #endif
 #ifdef CONFIG_MAC_SERIAL
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.1.130/drivers/char/tty_ioctl.c ./drivers/char/tty_ioctl.c
--- /home/jskov/kernel/dist/linux-2.1.130/drivers/char/tty_ioctl.c	Wed Nov 11 19:06:27 1998
+++ ./drivers/char/tty_ioctl.c	Thu Nov 12 17:37:55 1998
@@ -210,11 +210,12 @@
 {
 	int flags = 0;
 
-	if (!(tty->termios->c_lflag & ICANON))
+	if (!(tty->termios->c_lflag & ICANON)) {
 		if (tty->termios->c_lflag & ISIG)
 			flags |= 0x02;		/* cbreak */
 		else
 			flags |= 0x20;		/* raw */
+	}
 	if (tty->termios->c_lflag & ECHO)
 		flags |= 0x08;			/* echo */
 	if (tty->termios->c_oflag & OPOST)
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.1.130/drivers/char/vt.c ./drivers/char/vt.c
--- /home/jskov/kernel/dist/linux-2.1.130/drivers/char/vt.c	Thu Nov 19 19:17:33 1998
+++ ./drivers/char/vt.c	Fri Nov 27 20:13:08 1998
@@ -27,7 +27,7 @@
 #include <asm/io.h>
 #include <asm/uaccess.h>
 
-#ifdef __mc68000__
+#if defined(__mc68000__) || defined(CONFIG_APUS)
 #include <asm/machdep.h>
 #endif
 
@@ -495,7 +495,7 @@
 				  (cmd == KDENABIO)) ? -ENXIO : 0;
 #endif
 
-#ifdef __mc68000__
+#if defined(__mc68000__) || defined(CONFIG_APUS)
 	/* Linux/68k interface to the hardware clock */
 		
 	case KDGHWCLK:
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.1.130/drivers/net/ariadne2.c ./drivers/net/ariadne2.c
--- /home/jskov/kernel/dist/linux-2.1.130/drivers/net/ariadne2.c	Wed Nov 25 17:47:37 1998
+++ ./drivers/net/ariadne2.c	Fri Nov 27 19:16:17 1998
@@ -33,6 +33,7 @@
 #include <asm/io.h>
 #include <asm/irq.h>
 #include <asm/amigaints.h>
+#include <asm/amigahw.h>
 
 #include "8390.h"
 
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.1.130/drivers/sound/dmasound.c ./drivers/sound/dmasound.c
--- /home/jskov/kernel/dist/linux-2.1.130/drivers/sound/dmasound.c	Fri Nov 20 15:22:37 1998
+++ ./drivers/sound/dmasound.c	Fri Nov 27 19:16:21 1998
@@ -90,7 +90,7 @@
 #include <linux/sound.h>
 #include <linux/init.h>
 
-#ifdef __mc68000__
+#if defined(__mc68000__) || defined(CONFIG_APUS)
 #include <asm/setup.h>
 #endif
 #include <asm/system.h>
@@ -4480,7 +4480,7 @@
 	struct device_node *np;
 #endif
 
-#ifdef __mc68000__
+#if defined(__mc68000__) || defined(CONFIG_APUS)
 	switch (m68k_machtype) {
 #ifdef CONFIG_ATARI
 	case MACH_ATARI:
@@ -4508,7 +4508,7 @@
 		break;
 #endif /* CONFIG_AMIGA */
 	}
-#endif /* __mc68000__ */
+#endif /* __mc68000__||CONFIG_APUS */
 
 #ifdef CONFIG_PPC
 	awacs_subframe = 0;
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.1.130/drivers/video/cyberfb.h ./drivers/video/cyberfb.h
--- /home/jskov/kernel/dist/linux-2.1.130/drivers/video/cyberfb.h	Mon Nov  9 16:13:23 1998
+++ ./drivers/video/cyberfb.h	Sat Nov 14 17:54:03 1998
@@ -421,7 +421,7 @@
      /* --------------------------------- */
 
 /* in cvision_core.c */
-inline void __delay(unsigned long usecs);
+inline void __cv_delay(unsigned long usecs);
 inline void GfxBusyWait(volatile caddr_t board);
 inline void GfxFifoWait(volatile caddr_t board);
 inline unsigned char RAttr(volatile caddr_t board, short idx);
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.1.130/drivers/video/fbgen.c ./drivers/video/fbgen.c
--- /home/jskov/kernel/dist/linux-2.1.130/drivers/video/fbgen.c	Mon Nov  2 17:42:26 1998
+++ ./drivers/video/fbgen.c	Thu Nov 12 17:38:15 1998
@@ -15,6 +15,7 @@
 #include <linux/slab.h>
 
 #include <asm/uaccess.h>
+#include <asm/io.h>
 
 
 static int currcon = 0;
@@ -243,7 +244,7 @@
     memset(&fix, 0, sizeof(struct fb_fix_screeninfo));
     fbhw->encode_fix(&fix, &par, info);
 
-    display->screen_base = phys_to_virt(fix.smem_start);
+    display->screen_base = phys_to_virt ((unsigned long) fix.smem_start);
     display->visual = fix.visual;
     display->type = fix.type;
     display->type_aux = fix.type_aux;
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.1.130/include/linux/serial.h ./include/linux/serial.h
--- /home/jskov/kernel/dist/linux-2.1.130/include/linux/serial.h	Sun Nov  8 19:26:53 1998
+++ ./include/linux/serial.h	Sun Nov 22 14:18:36 1998
@@ -10,7 +10,7 @@
 #ifndef _LINUX_SERIAL_H
 #define _LINUX_SERIAL_H
 
-#ifdef __mc68000__
+#if defined(__mc68000__) || defined(CONFIG_APUS)
 #include <asm/serial.h>
 #else
 

